relaxngcc.codedom

## Class CDConstant

- java.lang.Object
- - relaxngcc.codedom.CDExpression
  - - relaxngcc.codedom.CDConstant

    public class CDConstant
    extends CDExpression

### Field Summary

Fields
`static CDExpression` `NULL`
`static CDExpression` `SUPER`
`static CDExpression` `THIS`

### Constructor Summary

Constructors
Constructor and Description
`CDConstant(boolean value)`
`CDConstant(int value)`
`CDConstant(java.lang.String value)`

### Method Summary

Methods
`void` `express(CDFormatter f)` Prints itself as an expression.

### Methods inherited from class relaxngcc.codedom.CDExpression

`_new, arrayRef, arrayRef, castTo, invoke, not, prop`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NULL

    public static final CDExpression NULL

#### THIS

    public static final CDExpression THIS

#### SUPER

    public static final CDExpression SUPER

### Constructor Detail

#### CDConstant

    public CDConstant(int value)

#### CDConstant

    public CDConstant(boolean value)

#### CDConstant

    public CDConstant(java.lang.String value)

### Method Detail

#### express

    public void express(CDFormatter f)
                 throws java.io.IOException

Description copied from class: `CDExpression`
Prints itself as an expression.

Throws:
  `java.io.IOException`